NMUDIFF(1)

BEZEICHNUNG
nmudiff - versendet ein NMU-Diff per E-Mail an die Debian-Fehlerdatenbank

ÜBERSICHT
nmudiff [Optionen]

BESCHREIBUNG
nmudiff is the tool to be used while preparing a Non-Maintainer Upload (NMU) to notify the maintainer about the work being done.

nmudiff sollte im Quellverzeichnisbaum des Pakets ausgeführt werden, von dem ein NMU durchgeführt wird, nachdem es gebaut wurde. Es geht davon aus, dass das Quellpaket (speziell die .dsc-Datei und alle zugehörigen tar- und diff-Dateien) sowohl für die vorherige Version des Pakets als auch für die neu gebaute Version im übergeordneten Verzeichnis liegt. Dann benutzt es debdiff, um ein Diff zwischen der vorherigen Version und dem aktuellen NMU zu erstellen und führt entweder Mutt oder einen Editor aus (es wird sensible-editor verwendet), so dass die E-Mail (einschließlich des Diffs) untersucht und geändert werden kann. Sobald Sie den Editor schließen, wird das Diff per E-Mail an die Debian-Fehlerdatenbank gesandt.

Das Standardverhalten ist, falls genau ein Fehler durch diesen NMU geschlossen wird, dass eine E-Mails an den Fehler versandt wird, andernfalls wird ein neuer Fehlerbericht eingereicht. Dieses Verhalten kann durch Befehlszeilen- und Konfigurationsdateioptionen geändert werden.

OPTIONEN

--new
    Anstatt E-Mails an die Fehlerberichte zu versenden, die durch diesen NMU geschlossen wurden, wird ein neuer Fehlerbericht direkt an die Fehlerdatenbank eingereicht.

--old
    sendet den Fehlerbericht an alle Fehler, die durch diesen NMU geschlossen werden, anstatt einen neuen Fehlerbericht zu öffnen. Diese Option hat keine Auswirkungen, falls durch diesen NMU keine Fehlerberichte geschlossen werden.

--mutt
    verwendet mutt(1) (oder neomutt(1)) zum Bearbeiten und Versenden der Nachricht an die Fehlerdatenbank (Standardverhalten). Dies kann mittels einer Konfigurationsdateioption geregelt werden (siehe unten).

--no-mutt
    benutzt sensible-editor(1), um die Nachricht zu bearbeiten und versendet sie per E-Mail mittels /usr/bin/sendmail. Dies kann über eine Konfigurationsdateioption geregelt werden (siehe unten).

--sendmail SENDMAIL-BEFEHL
    gibt den sendmail-Befehl an. Der Befehl wird bei Leerräumen getrennt und durch die Shell interpretiert. Vorgabe ist /usr/sbin/sendmail. Falls der Befehl /usr/sbin/sendmail oder /usr/sbin/exim* ist, wird die Option -t automatisch hinzugefügt. Für andere Mailprogramme muss dies in den SENDMAIL-BEFEHL eingefügt werden, wenn Sie eine -t-Option benötigen, zum Beispiel: --sendmail="/usr/sbin/mymailer -t". Dies kann auch mittels der Devscripts-Konfigurationsdateien gesetzt werden; siehe unten.

--from E-MAIL
    Falls die sendmail-Option (--no-mutt) benutzt wird, dann werden für die E-Mail an die Fehlerdatenbank die Umgebungsvariablen DEBEMAIL und DEBFULLNAME verwendet. Falls diese nicht gesetzt sind, werden stattdessen die Variablen EMAIL und NAME benutzt. Diese können mittels der Option --from außer Kraft gesetzt werden. Das Programm wird in diesem Fall nicht funktionieren, falls eine E-Mail-Adresse nicht bestimmt werden kann.

--delay VERZÖGERUNG
    gibt in der erzeugten E-Mail an, dass der NMU in die DELAYED-Warteschlange mit einer Verzögerung von VERZÖGERUNG Tagen hochgeladen wurde. Der Vorgabewert ist XX, wodurch der E-Mail ein Platzhalter hinzugefügt wird. Ein Wert von 0 gibt an, dass nichts an eine Warteschlange hochgeladen wurde. Dies kann auch mittels der Devscripts-Konfigurationsdateien gesetzt werden; siehe unten.

--no-delay, --nodelay
    entspricht --delay 0.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--no-pending, --nopending
    Do not add the pending tag.

--non-dd, --nondd
    Mention in the email that you require sponsorship.

--template SCHABLONENDATEI
    verwendet den Inhalt der SCHABLONENDATEI für den Nachrichtentext anstelle der Standardschablone. Falls die SCHABLONENDATEI nicht existiert, wird die Standardschablone genommen.

--help
    zeigt eine Hilfenachricht an und endet erfolgreich

--version
    zeigt Versions- und Copyright-Informationen an und endet erfolgreich.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

NMUDIFF_DELAY
    Falls dies auf eine Zahl gesetzt ist, werden E-Mails, die durch nmudiff erzeugt wurden, standardmäßig ein Hochladen in die DELAYED-Warteschlange vermerken, die für die angegebene Zahl von Tagen verzögert. Der Wert 0 gibt an, dass die DELAYED-Warteschlange nicht benutzt wurde.

NMUDIFF_MUTT
    Can be yes (default) or no, and specifies whether to use mutt (or neomutt)to compose and send the message or not, as described above.

NMUDIFF_NEWREPORT
    Diese Option steuert, ob ein neuer Fehlerbericht erstellt wird oder ob das Diff an die durch diesen NMU geschlossenen Fehler geschickt wird. Dies kann maybe sein (Vorgabe), wodurch an die existierenden Fehlerberichte gesandt wird, falls nur ein Fehler geschlossen wird, yes, wodurch immer ein neuer Fehlerbericht erstellt wird oder no wodurch immer an die Berichte der Fehler gesandt wird, die geschlossen werden (außer wenn keine Fehler geschlossen werden, in diesem Fall wird immer ein neuer Fehlerbericht erstellt).

BTS_SENDMAIL_COMMAND
    Falls dies gesetzt ist, gibt es einen sendmail-Befehl an, anstatt /usr/sbin/sendmail zu benutzen. Entspricht der Befehlszeilenoption --sendmail.

SIEHE AUCH
debdiff(1), sensible-editor(1) und devscripts.conf(5)

AUTOR
nmudiff wurde geschrieben und unterliegt dem Copyright 2006 von Steinar H. Gunderson und wurde von Julian Gilbey <jdg@debian.org> angepasst. Die Software kann frei unter den Bedingungen und Bestimmungen der GNU General Public License, Version 2, weitergegeben werden.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.